Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin.cfg
Interface ConfigurationGeoMap

    public interface ConfigurationGeoMap

Defines the methods to retrieve geography map configuration service.

Since:
  12.1

Nested Class Summary
`static class` | `ConfigurationGeoMap.MapServicePolicy` The map service policy which control how to connect to geography map service.

Method Summary
`java.util.List<java.util.List<java.lang.String>>` | `getMapServiceAddresses(int mapType, ConfigurationGeoMap.MapServicePolicy policy)` Gets the available map service addresses according to the specified map type and policy.
`ConfigurationGeoMap.MapServicePolicy` | `getMapServicePolicy()` Retrieves the map service policy which control how to connect to geography map service.
`java.util.Map<java.lang.String,java.lang.String>` | `getMapServiceProperties(int mapType)` Retrieves the properties of the specified mapType.
`java.lang.String` | `getMapServiceProperty(int mapType, java.lang.String propName)` Gets a property value of the specified mapType and property name.

Method Detail

### getMapServicePolicy

    ConfigurationGeoMap.MapServicePolicy getMapServicePolicy()

  Retrieves the map service policy which control how to connect to geography map service.

  Returns:
    the map service policy, null if remote implement occurs communication error.

### getMapServiceAddresses

    java.util.List<java.util.List<java.lang.String>> getMapServiceAddresses(int mapType,
                                                                            ConfigurationGeoMap.MapServicePolicy policy)

  Gets the available map service addresses according to the specified map type and policy.

  Returns List of List of String (each represents URL).

  Parameters:
    `mapType` - the map type.
    `policy` - the map service policy.
  Returns:
    the map service address according to specified mapType and policy, null if remote implement occurs communication error.
    1. if the specified map type not exists in the configuration, the policy is null, the result list is null, elsewhere
    2. If policy is `ConfigurationGeoMap.MapServicePolicy.OFF`, the result list size is 0
    3. If policy is `MapServicePolicy#INTR_SERVICE_ONLY` , the result list size is 1 which the element is the list of Intranet addresses
    4. If policy is `ConfigurationGeoMap.MapServicePolicy.INTERNET_SERVICE_ONLY`, the result list size is 1 which the element is the list of Internet addresses
    5. If policy is `ConfigurationGeoMap.MapServicePolicy.INTRANET_SERVICE_FIRST`, the result list size is 2, which the first element is the list of Local addresses and the second one is the list of Internet addresses
    6. If policy is `ConfigurationGeoMap.MapServicePolicy.INTERNET_SERVICE_FIRST`, the result list size is 2, which the first element is the list of Internet addresses and the second one is the list of Intranet addresses.

### getMapServiceProperty

    java.lang.String getMapServiceProperty(int mapType,
                                           java.lang.String propName)

  Gets a property value of the specified mapType and property name.

  Parameters:
    `mapType` - the map type.
    `propName` - the property name.
  Returns:
    the property value, null if mapType or propName not exists or remote implement occurs communication error.

### getMapServiceProperties

    java.util.Map<java.lang.String,java.lang.String> getMapServiceProperties(int mapType)

  Retrieves the properties of the specified mapType.

  Parameters:
    `mapType` - the map type.
  Returns:
    the properties of specified mapType, null if mapType not exists or remote implement occurs communication error.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD